summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
Diffstat (limited to 'etc')
-rw-r--r--etc/network.subr33
1 files changed, 15 insertions, 18 deletions
diff --git a/etc/network.subr b/etc/network.subr
index aba8e45..8737c21 100644
--- a/etc/network.subr
+++ b/etc/network.subr
@@ -108,7 +108,7 @@ ifconfig_up()
# backward compatibility: $ipv6_enable
case $ipv6_enable in
- [Yy][Ee][Ss])
+ [Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
_ipv6_opts="${_ipv6_opts} accept_rtadv"
;;
esac
@@ -385,6 +385,7 @@ noafif()
an[0-9]*|\
ath[0-9]*|\
ipw[0-9]*|\
+ ipfw[0-9]*|\
iwi[0-9]*|\
iwn[0-9]*|\
ral[0-9]*|\
@@ -444,12 +445,21 @@ ipv6_autoconfif()
local _if _tmpargs _arg
_if=$1
- if ! ipv6if $_if; then
+ case $_if in
+ lo0|\
+ stf[0-9]*|\
+ faith[0-9]*|\
+ lp[0-9]*|\
+ sl[0-9]*)
return 1
- fi
+ ;;
+ esac
if noafif $_if; then
return 1
fi
+ if ! ipv6if $_if; then
+ return 1
+ fi
if checkyesno ipv6_gateway_enable; then
return 1
fi
@@ -457,24 +467,11 @@ ipv6_autoconfif()
if [ -n "${_tmpargs}" ]; then
return 1
fi
-
- case $_if in
- lo0|\
- stf[0-9]*|\
- faith[0-9]*|\
- lp[0-9]*|\
- sl[0-9]*|\
- pflog[0-9]*|\
- pfsync[0-9]*)
- return 1
- ;;
- esac
-
# backward compatibility: $ipv6_enable
case $ipv6_enable in
- [Yy][Ee][Ss])
+ [Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
return 0
- ;;
+ ;;
esac
_tmpargs=`_ifconfig_getargs $_if ipv6`
OpenPOWER on IntegriCloud